#
# spec file for package guayadeque
#
# Copyright (c) 2015 Packman Team <packman@links2linux.de>
# Copyright (c) 2012 Pascal Bleser <pascal.bleser@opensuse.org>
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.links2linux.org
#

Name:           guayadeque
Version:        0.6.1
Release:        1699.2.pm.3
Summary:        Guayadeque Music Player
License:        GPL-3.0+
ExclusiveArch:  aarch64 x86_64
URL:            https://github.com/thothix/guayadeque
Source:         %name-%version.tar.xz
Patch0:         guayadeque.patch
BuildRequires:  gcc-c++
BuildRequires:  pkgconfig
BuildRequires:  update-desktop-files

BuildRequires:  gettext-tools
BuildRequires:  cmake
BuildRequires:  make
BuildRequires:  pkgconfig(dbus-1)
BuildRequires:  pkgconfig(gdk-pixbuf-2.0)
BuildRequires:  pkgconfig(gio-2.0)
BuildRequires:  pkgconfig(gstreamer-1.0)
BuildRequires:  pkgconfig(gstreamer-pbutils-1.0)
BuildRequires:  pkgconfig(gstreamer-tag-1.0)
BuildRequires:  pkgconfig(jsoncpp)
BuildRequires:  pkgconfig(libcurl)
BuildRequires:  pkgconfig(libgpod-1.0)
BuildRequires:  pkgconfig(sqlite3)
BuildRequires:  pkgconfig(taglib)
BuildRequires:  pkgconfig(wxsqlite3)
BuildRequires:  wxWidgets-3_2-devel

%description
Guayadeque is a music management program designed for all music enthusiasts. It
is Full Featured Linux media player that can easily manage large collections
and uses the Gstreamer media framework.

%prep
%autosetup -p1

%build
CXXFLAGS='%optflags -Wno-deprecated-declarations'
%cmake
%cmake_build

%install
%cmake_install
%suse_update_desktop_file -r 'org.guayadeque.guayadeque' AudioVideo Player

%find_lang %name

%files -f %name.lang
%license LICENSE
%_bindir/*
%_datadir/guayadeque
%_datadir/applications/*
%_datadir/icons/*/*/apps/*
%_datadir/metainfo/*

%changelog
* Mon Nov 11 2024 olaf@aepfle.de
- Update to version 0.6.1 (9f06f00b)
* Thu Apr 11 2024 olaf@aepfle.de
- Update to version 0.4.7 (20315f28)
* Sun Sep 19 2021 Luigi Baldoni <aloisio@gmx.com>
- Build against wxWidgets 3.2 (fixes segfault on Leap 15.3)
* Sat Aug 28 2021 olaf@aepfle.de
- Update to version 0.4.6 (3f0046ac)
* Mon Nov  2 2015 aloisio@gmx.com
- Update to version 0.3.7
  * Removed Flac library dependency. Now flac images are
    read/writen using taglib
  * Fixed compilation without external libwxsqlite support
  * Fixed audio output autoconfiguring option
  * Fixed load tracks from command line or file manager
  * Added mpris 2.2 support
  * Made Guayadeque Interface more clean
  * Removed bug that crashed guayadeque when used del in a dynamic
    playlist
  * Added TuneIn radio support
  * Added option to rename podcast channel name
  * Added option in Preferences -> Playback the option to write
    the complete output pipeline
  * Added Seeked mpris2 signal
  * Fixed amazon cover download engine
- Dropped flac-devel requirement
* Mon Aug 20 2012 pascal.bleser@opensuse.org
- initial version (0.3.5)
